
import java.util.Vector;
import antlr.CommonAST;

class AltNode extends CommonAST
{
   public BlockNode block; /* upper block */
   public int index; /* index within block, from 1 */
   public Context context; /* context for this alternative */
   public Context save_context; /* outer context */

   public boolean loop; /* used <add> item */
   public boolean end_loop; /* finally check empty subitem variable */
   public boolean braces; /* block of code with, finally write right brace */
   public StructInfo selection_type; /* type of alternative in selection block */
   public RuleNode selection_rule; /* subrule in selection block */


   /* conditions */

   public Vector ordKeys = new Vector ();

   public void addOrdKey (String name, String value)
   {
      DictItem2 item = new DictItem2 ();
      item.ident = name;
      item.value = value;
      ordKeys.add (item);
   }

   public Vector refKeys = new Vector ();

   public void addRefKey (String name)
   {
      refKeys.add (name);
   }

   public Vector strKeys = new Vector ();

   public void addStrKey (String name)
   {
      strKeys.add (name);
   }

}
