
import java.util.TreeMap;

class DictTable2 extends DictTable
{
  private TreeMap value_tree = new TreeMap ();

  public DictItem2 searchKey (String key)
  {
    return (DictItem2) super.get (key);
  }

  public boolean containsKey (String key)
  {
     return super.contains (key);
  }

  public DictItem2 searchValue (String value)
  {
    return (DictItem2) value_tree.get (value);
  }

  public boolean containsValue (String value)
  {
     return value_tree.containsKey (value);
  }

  public void store (DictItem2 item)
  {
    super.store (item);

    if (containsValue (item.value))
       err ("Value already defined: " + item.value);

    value_tree.put (item.value, item);
  }

}
