
import antlr.Token;
import antlr.ASTFactory;
import antlr.collections.AST;

class NodeFactory extends ASTFactory implements EG2TokenTypes
{

    public AST create(int type, String txt)
    {
        AST t = null;

        if (type == RULE_DEF)
           t = new RuleNode ();

        else if (type == BLOCK_DEF)
           t = new BlockNode ();

        else if (type == BLOCK_DEF)
           t = new BlockNode ();

        else if (type == ALTERNATIVE_DEF)
           t = new AltNode ();

        else if (type == NONTERMINAL_DEF)
           t = new NontermNode ();

      	if (t==null) t = create();
    	  t.initialize(type,txt);
      	return t;	
    }

}
