
class TypeInfo extends DictItem
{

   public boolean used_as_field = false;

   public boolean haveSubclasses ()
   {
      return false;
   }

   public StructInfo as_struct ()
   {
      if (! (this instanceof StructInfo))
         err ("Structured type required: " + ident);
      return (StructInfo) this;
   }

   public EnumInfo as_enum ()
   {
      if (! (this instanceof EnumInfo))
         err ("Enumerated type required: " + ident);
      return (EnumInfo) this;
   }

   public String decl ()
   {
     if (this instanceof StructInfo)
         return ident + " *";
     else
        return ident;
   }

}
